Loading...
Searching...
No Matches
IO_module_internal_classes
casa package (libcasa_casa) » IO_module

Internal IO_module classes and functions. More...

## Classes

class | casacore::BucketBase
| More...
class | casacore::BucketFile
| More...
struct | casacore::MultiFileInfo
| Helper class for MultiFileBase containing info per logical file. More...

## Macros

#define | traceFOPEN

## Detailed Description

Internal IO_module classes and functions.

## Macro Definition Documentation

## traceFOPEN

#define traceFOPEN

Defines for correct name of functions to access large files.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

The defines in this file let us instrument the IO system using PABLO. See www-pablo.cs.uiuc.edu for more about pablo.

If AIPS_NOLARGEFILE is not defined, use the large file functions. Define _LARGEFILE64_SOURCE for Linux systems.

### Synopsis

Definition at line 63 of file LargeIOFuncDef.h.